/*
 * ToGrammarLeftRG.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Tomas Pecka
 */

#include "ToGrammarLeftRG.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace convert {

auto ToGrammarLeftRGNFA = registration::AbstractRegister < ToGrammarLeftRG, grammar::LeftRG < >, const automaton::NFA < > & > ( ToGrammarLeftRG::convert, "automaton" ).setDocumentation (
"Performs the conversion of the finite automaton to left regular grammar.\n\
\n\
@param automaton a finite automaton to convert\n\
@return left regular grammar equivalent to the source @p automaton." );

auto ToGrammarLeftRGDFA = registration::AbstractRegister < ToGrammarLeftRG, grammar::LeftRG < >, const automaton::DFA < > & > ( ToGrammarLeftRG::convert, "automaton").setDocumentation (
"Performs the conversion of the finite automaton to left regular grammar.\n\
\n\
@param automaton a finite automaton to convert\n\
@return left regular grammar equivalent to the source @p automaton." );

} /* namespace convert */

} /* namespace automaton */
