/*
 * RandomizeGrammar.cpp
 *
 *  Created on: 9. 2. 2017
 *	  Author: Jan Travnicek
 */

#include "RandomizeGrammar.h"
#include <registration/AlgoRegistration.hpp>

namespace grammar {

namespace generate {

auto RandomizeGrammarLeftRG = registration::AbstractRegister < RandomizeGrammar, grammar::LeftRG < >, const grammar::LeftRG < > & > ( RandomizeGrammar::randomize, "gram" ).setDocumentation (
"Shuffle the set of nonterminal symbols.\n\
\n\
@param gram the grammar to shuffle\n\
@return grammar with shuffled nonterminal symbols" );

auto RandomizeGrammarLeftLG = registration::AbstractRegister < RandomizeGrammar, grammar::LeftLG < >, const grammar::LeftLG < > & > ( RandomizeGrammar::randomize, "gram" ).setDocumentation (
"Shuffle the set of nonterminal symbols.\n\
\n\
@param gram the grammar to shuffle\n\
@return grammar with shuffled nonterminal symbols" );

auto RandomizeGrammarRightRG = registration::AbstractRegister < RandomizeGrammar, grammar::RightRG < >, const grammar::RightRG < > & > ( RandomizeGrammar::randomize, "gram" ).setDocumentation (
"Shuffle the set of nonterminal symbols.\n\
\n\
@param gram the grammar to shuffle\n\
@return grammar with shuffled nonterminal symbols" );

auto RandomizeGrammarRightLG = registration::AbstractRegister < RandomizeGrammar, grammar::RightLG < >, const grammar::RightLG < > & > ( RandomizeGrammar::randomize, "gram" ).setDocumentation (
"Shuffle the set of nonterminal symbols.\n\
\n\
@param gram the grammar to shuffle\n\
@return grammar with shuffled nonterminal symbols" );

auto RandomizeGrammarCFG = registration::AbstractRegister < RandomizeGrammar, grammar::CFG < >, const grammar::CFG < > & > ( RandomizeGrammar::randomize, "gram" ).setDocumentation (
"Shuffle the set of nonterminal symbols.\n\
\n\
@param gram the grammar to shuffle\n\
@return grammar with shuffled nonterminal symbols" );

} /* namespace generate */

} /* namespace grammar */
