/*
 * UnreachableSymbolsRemover.cpp
 *
 *  Created on: 22. 3. 2014
 *	  Author: Tomas Pecka
 */

#include "UnreachableSymbolsRemover.h"
#include <registration/AlgoRegistration.hpp>

namespace grammar {

namespace simplify {

auto UnreachableSymbolsRemoverCFG = registration::AbstractRegister < UnreachableSymbolsRemover, grammar::CFG < >, const grammar::CFG < > & > ( UnreachableSymbolsRemover::remove, "grammar" ).setDocumentation (
"Removes unreachable symbols.\n\
\n\
@param grammar the modified grammar\n\
@return grammar equivalent to @p grammar without unreachable symbols" );

auto UnreachableSymbolsRemoverEpsilonFreeCFG = registration::AbstractRegister < UnreachableSymbolsRemover, grammar::EpsilonFreeCFG < >, const grammar::EpsilonFreeCFG < > & > ( UnreachableSymbolsRemover::remove, "grammar" ).setDocumentation (
"Removes unreachable symbols.\n\
\n\
@param grammar the modified grammar\n\
@return grammar equivalent to @p grammar without unreachable symbols" );

auto UnreachableSymbolsRemoverGNF = registration::AbstractRegister < UnreachableSymbolsRemover, grammar::GNF < >, const grammar::GNF < > & > ( UnreachableSymbolsRemover::remove, "grammar" ).setDocumentation (
"Removes unreachable symbols.\n\
\n\
@param grammar the modified grammar\n\
@return grammar equivalent to @p grammar without unreachable symbols" );

auto UnreachableSymbolsRemoverCNF = registration::AbstractRegister < UnreachableSymbolsRemover, grammar::CNF < >, const grammar::CNF < > & > ( UnreachableSymbolsRemover::remove, "grammar" ).setDocumentation (
"Removes unreachable symbols.\n\
\n\
@param grammar the modified grammar\n\
@return grammar equivalent to @p grammar without unreachable symbols" );

auto UnreachableSymbolsRemoverLG = registration::AbstractRegister < UnreachableSymbolsRemover, grammar::LG < >, const grammar::LG < > & > ( UnreachableSymbolsRemover::remove, "grammar" ).setDocumentation (
"Removes unreachable symbols.\n\
\n\
@param grammar the modified grammar\n\
@return grammar equivalent to @p grammar without unreachable symbols" );

auto UnreachableSymbolsRemoverLeftLG = registration::AbstractRegister < UnreachableSymbolsRemover, grammar::LeftLG < >, const grammar::LeftLG < > & > ( UnreachableSymbolsRemover::remove, "grammar" ).setDocumentation (
"Removes unreachable symbols.\n\
\n\
@param grammar the modified grammar\n\
@return grammar equivalent to @p grammar without unreachable symbols" );

auto UnreachableSymbolsRemoverLeftRG = registration::AbstractRegister < UnreachableSymbolsRemover, grammar::LeftRG < >, const grammar::LeftRG < > & > ( UnreachableSymbolsRemover::remove, "grammar" ).setDocumentation (
"Removes unreachable symbols.\n\
\n\
@param grammar the modified grammar\n\
@return grammar equivalent to @p grammar without unreachable symbols" );

auto UnreachableSymbolsRemoverRightLG = registration::AbstractRegister < UnreachableSymbolsRemover, grammar::RightLG < >, const grammar::RightLG < > & > ( UnreachableSymbolsRemover::remove, "grammar" ).setDocumentation (
"Removes unreachable symbols.\n\
\n\
@param grammar the modified grammar\n\
@return grammar equivalent to @p grammar without unreachable symbols" );

auto UnreachableSymbolsRemoverRightRG = registration::AbstractRegister < UnreachableSymbolsRemover, grammar::RightRG < >, const grammar::RightRG < > & > ( UnreachableSymbolsRemover::remove, "grammar" ).setDocumentation (
"Removes unreachable symbols.\n\
\n\
@param grammar the modified grammar\n\
@return grammar equivalent to @p grammar without unreachable symbols" );

} /* namespace simplify */

} /* namespace grammar */

