/*
 * ToAutomaton.cpp
 *
 *  Created on: 11. 1. 2014
 *	  Author: Jan Travnicek
 */

#include "ToAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace regexp {

namespace convert {

auto ToAutomatonFormalRegExp = registration::AbstractRegister < ToAutomaton, automaton::NFA < DefaultSymbolType, ext::pair < DefaultSymbolType, unsigned > >, const regexp::FormalRegExp < > & > ( ToAutomaton::convert, "regexp" ).setDocumentation (
"Converts the regular expression into an automaton (@sa regexp::convert::ToGlushkovAutomaton::convert).\n\
\n\
@param regexp the regular expression\n\
@return finite automaotn equivalent to original regular expression" );

auto ToAutomatonUnboundedRegExp = registration::AbstractRegister < ToAutomaton, automaton::NFA < DefaultSymbolType, ext::pair < DefaultSymbolType, unsigned > >, const regexp::UnboundedRegExp < > & > ( ToAutomaton::convert, "regexp" ).setDocumentation (
"Converts the regular expression into an automaton (@sa regexp::convert::ToGlushkovAutomaton::convert).\n\
\n\
@param regexp the regular expression\n\
@return finite automaotn equivalent to original regular expression" );

} /* namespace convert */

} /* namespace regexp */
