/*
 * ToGrammarRightRGGlushkov.cpp
 *
 *  Created on: 11. 1. 2014
 *	  Author: Tomas Pecka
 */

#include "ToGrammarRightRGGlushkov.h"
#include <registration/AlgoRegistration.hpp>

namespace regexp {

namespace convert {

auto ToGrammarRightRGGlushkovUnboundedRegExp = registration::AbstractRegister < ToGrammarRightRGGlushkov, grammar::RightRG < DefaultSymbolType, ext::pair < DefaultSymbolType, unsigned > >, const regexp::UnboundedRegExp < > & > ( ToGrammarRightRGGlushkov::convert, "regexp" ).setDocumentation (
"Implements conversion of regular expressions to finite automata usign Glushkov's method of neighbours.\n\
\n\
@param regexp the regexp to convert\n\
@return right regular grammar generating the language described by the original regular expression" );

auto ToGrammarRightRGGlushkovFormalRegExp = registration::AbstractRegister < ToGrammarRightRGGlushkov, grammar::RightRG < DefaultSymbolType, ext::pair < DefaultSymbolType, unsigned > >, const regexp::FormalRegExp < > & > ( ToGrammarRightRGGlushkov::convert, "regexp" ).setDocumentation (
"Implements conversion of regular expressions to finite automata usign Glushkov's method of neighbours.\n\
\n\
@param regexp the regexp to convert\n\
@return right regular grammar generating the language described by the original regular expression" );

} /* namespace convert */

} /* namespace regexp */
