/*
 * HammingMatchingAutomaton.cpp
 *
 *  Created on: 12. 3. 2018
 *      Author: Tomas Capek
 */

#include "LevenshteinMatchingAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto LevenshteinMatchingAutomatonLinearString = registration::AbstractRegister <LevenshteinMatchingAutomaton, automaton::EpsilonNFA < DefaultSymbolType, void, ext::pair<unsigned int, unsigned int>>, const string::LinearString < > &, unsigned > ( LevenshteinMatchingAutomaton::construct );

auto LevenshteinMatchingAutomatonWildcardLinearString = registration::AbstractRegister <LevenshteinMatchingAutomaton, automaton::EpsilonNFA < DefaultSymbolType, void, ext::pair<unsigned int, unsigned int>>, const string::WildcardLinearString < > &, unsigned > ( LevenshteinMatchingAutomaton::construct );

} /* namespace matching */

} /* namespace stringology */
