#ifndef __STRING_CHAR_SEQUENCE_H_
#define __STRING_CHAR_SEQUENCE_H_

#include <string>

#include "CharSequenceBase.h"

namespace cli {

class StringCharSequence : public CharSequenceBase {
	std::string m_line;

	virtual void fetch ( bool /* readNextLine */ ) override {
		this->endOfSequence = true;
	}

public:
	StringCharSequence ( std::string line ) : m_line ( std::move ( line ) ) {
		this->linePtr = m_line.c_str ( );
	}

	StringCharSequence ( StringCharSequence && other ) : CharSequenceBase ( std::move ( other ) ) {
		size_t dist = this->linePtr - other.m_line.c_str ( );
		m_line = std::move ( other.m_line );
		this->linePtr = m_line.c_str ( ) + dist;
	}

	StringCharSequence ( const StringCharSequence & ) = delete;

	StringCharSequence & operator = ( StringCharSequence && ) = delete;

	StringCharSequence & operator = ( const StringCharSequence & ) = delete;

	virtual std::string getLine ( ) const override {
		return m_line;
	}
};

} /* namespace cli */

#endif /* __STRING_CHAR_SEQUENCE_H_ */
