/*
 * EpsilonRemoverOutgoing.cpp
 *
 *  Created on: 16. 1. 2014
 *	  Author: Jan Travnicek
 */

#include "EpsilonRemoverOutgoing.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace simplify {

namespace efficient {

auto EpsilonRemoverOutgoingDFA = registration::AbstractRegister < EpsilonRemoverOutgoing, automaton::DFA < >, const automaton::DFA < > & > ( EpsilonRemoverOutgoing::remove );
auto EpsilonRemoverOutgoingMultiInitialStateNFA = registration::AbstractRegister < EpsilonRemoverOutgoing, automaton::MultiInitialStateNFA < >, const automaton::MultiInitialStateNFA < > & > ( EpsilonRemoverOutgoing::remove );
auto EpsilonRemoverOutgoingNFA = registration::AbstractRegister < EpsilonRemoverOutgoing, automaton::NFA < >, const automaton::NFA < > & > ( EpsilonRemoverOutgoing::remove );
auto EpsilonRemoverOutgoingEpsilonNFA = registration::AbstractRegister < EpsilonRemoverOutgoing, automaton::MultiInitialStateNFA < >, const automaton::EpsilonNFA < > & > ( EpsilonRemoverOutgoing::remove );

} /*namespace efficient */

} /* namespace simplify */

} /* namespace automaton */
