/*
 * Trim.cpp
 *
 *  Created on: 23. 3. 2014
 *	  Author: Tomas Pecka
 */

#include "Trim.h"

#include <automaton/FSM/ExtendedNFA.h>
#include <automaton/FSM/CompactNFA.h>
#include <automaton/FSM/EpsilonNFA.h>
#include <automaton/FSM/NFA.h>
#include <automaton/FSM/DFA.h>

#include "automaton/Automaton.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace simplify {

namespace efficient {

auto TrimDFA = registration::AbstractRegister < Trim, automaton::DFA < >, const automaton::DFA < > & > ( Trim::trim, abstraction::AlgorithmCategories::AlgorithmCategory::EFFICIENT );
auto TrimNFA = registration::AbstractRegister < Trim, automaton::NFA < > , const automaton::NFA < > & > ( Trim::trim, abstraction::AlgorithmCategories::AlgorithmCategory::EFFICIENT );
auto TrimMultiInitialStateNFA = registration::AbstractRegister < Trim, automaton::MultiInitialStateNFA < >, const automaton::MultiInitialStateNFA < > & > ( Trim::trim, abstraction::AlgorithmCategories::AlgorithmCategory::EFFICIENT );
auto TrimEpsilonNFA = registration::AbstractRegister < Trim, automaton::EpsilonNFA < >, const automaton::EpsilonNFA < > & > ( Trim::trim, abstraction::AlgorithmCategories::AlgorithmCategory::EFFICIENT );
auto TrimCompactNFA = registration::AbstractRegister < Trim, automaton::CompactNFA < >, const automaton::CompactNFA < > & > ( Trim::trim, abstraction::AlgorithmCategories::AlgorithmCategory::EFFICIENT );
auto TrimExtendedNFA = registration::AbstractRegister < Trim, automaton::ExtendedNFA < >, const automaton::ExtendedNFA < > & > ( Trim::trim, abstraction::AlgorithmCategories::AlgorithmCategory::EFFICIENT );

} /* namespace efficient */

} /* namespace simplify */

} /* namespace automaton */

