/*
 * CFG.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include <object/Object.h>
#include <primitive/string/Unsigned.h>
#include <container/string/ObjectsPair.h>
#include <container/string/ObjectsSet.h>
#include <container/string/ObjectsVariant.h>
#include <string/string/Epsilon.h>
#include <alphabet/string/RankedSymbol.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWriteGroup1 = registration::StringWriterRegisterTypeInGroup < object::Object, ext::pair < ext::set < ext::pair < object::Object, object::Object > >, ext::variant < string::Epsilon < object::Object >, object::Object > > > ( );
static auto stringWriteGroup2 = registration::StringWriterRegisterTypeInGroup < object::Object, ext::set < ext::pair < object::Object, object::Object > > > ( );
static auto stringWriteGroup3 = registration::StringWriterRegisterTypeInGroup < object::Object, ext::pair < object::Object, unsigned > > ( );
static auto stringWriteGroup4 = registration::StringWriterRegisterTypeInGroup < object::Object, ext::pair < unsigned, unsigned > > ( );
static auto stringWriteGroup5 = registration::StringWriterRegisterTypeInGroup < object::Object, ext::set < common::ranked_symbol < ext::pair < object::Object, unsigned int >, unsigned int > > > ( );

} /* namespace */
