/*
 * XmlParserRegistry.cpp
 *
 *  Created on: 21. 8. 2017
 *	  Author: Jan Travnicek
 */

#include <registry/XmlParserRegistry.hpp>

namespace abstraction {

ext::map < std::string, std::unique_ptr < XmlParserRegistry::Entry > > & XmlParserRegistry::getEntries ( ) {
	static ext::map < std::string, std::unique_ptr < Entry > > parsers;
	return parsers;
}

std::shared_ptr < abstraction::OperationAbstraction > XmlParserRegistry::getAbstraction ( const std::string & typeName ) {
	auto type = getEntries ( ).find ( typeName );
	if ( type == getEntries ( ).end ( ) )
		throw exception::CommonException ( "Entry " + typeName + " not available." );

	return type->second->getAbstraction ( );
}

} /* namespace abstraction */
